GET api/Search/RefinerTerms?termSetId={termSetId}&termId={termId}&firstLevelOnly={firstLevelOnly}

Gets available refiner terms for termset

Request Information

URI Parameters

NameDescriptionTypeAdditional information
termSetId

globally unique identifier

Required

termId

globally unique identifier

None.

firstLevelOnly

boolean

Default value is False

Body Parameters

None.

Response Information

Resource Description

A hierarchical structure of terms where the termset is the root term. If is provided, the term for this id will be the root term

WorkPoint365.WebAPI.Model.Term
NameDescriptionTypeAdditional information
Id

globally unique identifier

None.

Name

string

None.

PathOfTerm

string

None.

ParentId

globally unique identifier

None.

Icon

string

None.

CustomSortOrder

string

None.

CustomProperties

Dictionary of string [key] and string [value]

None.

Labels

Collection of WorkPoint365.WebAPI.Model.TermLabel

None.

Terms

Collection of WorkPoint365.WebAPI.Model.Term

None.

Response Formats

application/json, text/json

Sample:

Sample not available.